package com.dgtly.goods.mapper;

import com.dgtly.goods.domain.GoodsAttribute;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 商品属性Mapper接口
 * 
 * @author dgtly
 * @date 2020-02-13
 */
public interface GoodsAttributeMapper 
{


    /**
     * 新增商品属性
     * 
     * @param goodsAttribute 商品属性
     * @return 结果
     */
    public int insertGoodsAttribute(GoodsAttribute goodsAttribute);


    /**
     * 删除商品属性
     * 
     * @param id 商品属性ID
     * @return 结果
     */
    public int deleteGoodsAttributeById(Long id);

    /**
     * 批量删除商品属性
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteGoodsAttributeByIds(String[] ids);

    /**
     * 批量添加商品属性
     * @param goodsAttributeList
     * @return
     */
    public int insertGoodsAttributeList(@Param("list") List<GoodsAttribute> list, @Param("goodsId") Long goodsId);
    /**
     * 根据商品id删除
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteGoodsAttributeByGoodsId(Long goodsId);
}
