package com.dgtly.goods.mapper;

import com.dgtly.goods.domain.GoodsColor;
import com.dgtly.goods.domain.GoodsSize;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 商品规格Mapper接口
 * 
 * @author dgtly
 * @date 2020-02-13
 */
public interface GoodsSizeMapper 
{

    /**
     * 新增商品规格
     * 
     * @param goodsSize 商品规格
     * @return 结果
     */
    public int insertGoodsSize(GoodsSize goodsSize);
    /**
     * 批量新增商品规格
     *
     * @param list 商品规格
     * @return 结果
     */
    public int insertGoodsSizeList(@Param("list") List<GoodsSize> list, @Param("goodsId") Long goodsId);

    /**
     * 根据商品id删除
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteGoodsSizeByGoodsId(Long goodsId);
}
