import axios from "axios";
import qs from "qs";

const instance = axios.create({
  baseURL: process.env.NODE_ENV !== "production" ? "/api" : "/",
  headers: {
    "Content-Type": "application/x-www-form-urlencoded; charset=UTF-8"
  },
  transformRequest: [
    function(data, headers) {
      if (typeof data === "object") {
        return qs.stringify(data);
      }
      return data;
    }
  ]
});

export const post = async (url: string, obj = {}) => {
  const data = await instance.post<IResult>(url, obj);
  return data.data;
};
